Aria: ArACTS_1_2 Class Reference

- Main Page
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# ArACTS_1_2 Class Reference

`#include <ArACTS.h>`

List of all members.

## Detailed Description

Driver for ACTS.

## Public Types
enum | ActsConstants { NUM_CHANNELS = 32, MAX_BLOBS = 10, ACTS_BLOB_DATA_SIZE = 16, DATA_HEADER = NUM_CHANNELS * 4, MAX_DATA = 5300 }
## Public Member Functions
void | actsHandler (void)
| A function that reads information from acts and requests packets.
| ArACTS_1_2 ()
| Constructor.
bool | closePort (void)
| Closes the connection.
bool | getBlob (int channel, int blobNumber, ArACTSBlob *blob)
| Gets the given blob from the given channel.
int | getNumBlobs (int channel)
| Gets the number of blobs for the given chanel.
ArRobot * | getRobot (void)
| Gets the robot this class is connected to.
void | invert (int width=160, int height=120)
| This will make the image stats inverted (for use with an inverted camera).
bool | isConnected (void)
| Finds out whether there is connection.
bool | openPort (ArRobot *robot, const char *host="localhost", int port=5001)
| Opens the connection to ACTS.
bool | receiveBlobInfo (void)
| Gets the blob information from the connection to acts.
bool | requestPacket (void)
| Requests another packet.
bool | requestQuit (void)
| Requests that ACTS quits.
void | setRobot (ArRobot *robot)
| Sets the robot this class is connected to.
virtual | ~ArACTS_1_2 ()
| Destructor.
## Protected Member Functions
int | getData (char *rawData)
| an iternal function to strip out the information from some bytes
int | invertX (int before)
int | invertY (int before)
## Protected Attributes
int | myBlobIndex [NUM_CHANNELS]
int | myBlobNum [NUM_CHANNELS]
bool | myBlobsBad
ArTcpConnection | myConn
char | myData [MAX_DATA]
int | myHeight
bool | myInverted
bool | myRequested
ArRobot * | myRobot
ArFunctorC< ArACTS_1_2 > | mySensorTaskCB
int | myWidth

## Member Enumeration Documentation

enum ArACTS_1_2::ActsConstants

Enumerator:

  NUM_CHANNELS | Number of channels there are.
  MAX_BLOBS | Number of blobs per channel.
  ACTS_BLOB_DATA_SIZE | Size of the blob data.
  DATA_HEADER | Size of the data header.
  MAX_DATA | Maximum amount of data.

The documentation for this class was generated from the following file:

- ArACTS.h